package cn.ezhizao.project.system.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.ezhizao.project.system.domain.SysVersion;

/**
 * 版本管理Service接口
 *
 * @author ruoyi
 * @date 2023-10-24
 */
public interface ISysVersionService extends IService<SysVersion>
{
    /**
     * 查询版本管理列表
     *
     * @param sysVersion 版本管理
     * @return 版本管理集合
     */
    public List<SysVersion> getList(SysVersion sysVersion);

    /**
     * 物理删除
     * @param sysVersion
     * @return 删除结果
     */
    public int physicalDelete(SysVersion sysVersion);

    public boolean save(SysVersion sysVersion);

    public boolean updateById(SysVersion sysVersion);

//    public SysVersion getById(Long id);
}
